For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList users
      • POSTCreate and Invite User
      • POSTResend User Invite
      • PATCHUpdate a user
      • GETGet a user
      • DELDelete a user
      • GETList User Roles
      • POSTAssign Role to User
      • DELRemove Role from User
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceUsers

Delete a user

DELETE
https://api.x.flatfile.com/v1/users/:userId
DELETE
/v1/users/:userId
$curl -X DELETE https://api.x.flatfile.com/v1/users/userId \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
200Deleted
1{
2 "data": {
3 "success": true
4 }
5}
Deletes a user
Was this page helpful?
Previous

List User Roles

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

userIdstringRequired
The user id

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject